<template lang="pug">

.vacancies.container
  h1.main-heading Вакансии

  el-breadcrumb.mb-20(separator-class='el-icon-arrow-right')
    el-breadcrumb-item(:to="{ path: '/' }") Главная
    el-breadcrumb-item(:to="{ path: '/about' }") О компании
    el-breadcrumb-item Вакансии

  .row.vacancies__wrapper
    .col-md-6.col-sm-12.vacancies__col(
      v-for="item in data.vacancies"
      :key="item.id")

      app-vacancies(
        :heading="item.name"
        :city="item.city"
        :time="item.created_at"
        :slug="item.slug"
        :key="item.id")

  .activity__block(v-if='data.pagination && data.pagination.totalPageCount > data.pagination.perPage')
    el-pagination.public-pagination(
      layout='prev, pager, next'
      @current-change='changePage'
      :current-page="data.pagination.currentPage"
      :page-size='data.pagination.perPage'
      :total='data.pagination ? data.pagination.totalPageCount : 0'
      background)

  hr.vacancies__separator

  .vacancies__links
    h2.vacancies__links-heading Результаты проведения оценки условий труда
    .vacancies__links-wrapper
      a.vacancies__links-item(href="http://www.shuvalovo.biz/uploads/Сводные%20данные%20о%20результатах%20проведения%20специальной%20оценки%20условий%20труда%20в%202015%20году.docx")
        | Сводные данные о результатах проведения специальной оценки условий труда в 2015 году

      a.vacancies__links-item(href="http://www.shuvalovo.biz/uploads/Сводные%20данные%20о%20результатах%20проведения%20специальной%20оценки%20условий%20труда%20в%202016%20году.docx")
        | Сводные данные о результатах проведения специальной оценки условий труда в 2016 году

      a.vacancies__links-item(href="http://www.shuvalovo.biz/uploads/Сводные%20данные%20о%20результатах%20проведения%20специальной%20оценки%20условий%20труда%20в%202018%20году.ZIP")
        | Сводные данные о результатах проведения специальной оценки условий труда в 2018 году

</template>

<script>
import { mapMutations } from 'vuex';

import VacanciesItem from '../../../components/public/VacanciesItem';

export default {
  name: 'Vacancy',
  async asyncData(context) {
    let { data } = await context.$axios.get('/api/v1/vacancies/public', {
      params: {
        pagination: {
          perPage: 12,
          currentPage: 1
        }
      }
    });
    return { data: data };
  },
  head() {
    return {
      title: 'Вакансии | АО «Шувалово»'
    };
  },
  components: {
    'app-vacancies': VacanciesItem
  },
  data() {
    return {
      page: 1,
      perPage: 12
    };
  },
  mounted() {
    this.SET_LOADING(false);
  },
  methods: {
    ...mapMutations(['SET_LOADING']),
    changePage(value) {
      this.page = value;
      this.SET_LOADING(true);
      this.$axios
        .get('/api/v1/vacancies/public', {
          params: {
            pagination: {
              perPage: this.perPage,
              currentPage: value
            }
          }
        })
        .then(data => {
          this.data = data.data;
          this.SET_LOADING(false);
          window.scrollTo(0, 0);
        });
    }
  }
};
</script>
